// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "Engine/DataTable.h"
#include "LovenseTypes.h"
#include "LovenseSupportActor.generated.h"

USTRUCT(BlueprintType)
struct FSupportStruct:public FTableRowBase
{
	GENERATED_USTRUCT_BODY()

	/*UPROPERTY(EditAnywhere,BlueprintReadWrite)
	int32 lovenseIndex;*/

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString symbol;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString showName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString func;
};

UCLASS()
class LOVENSEINTEGRATION_API ALovenseSupportActor : public AActor
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	ALovenseSupportActor();
	TMap<FString, TArray<ELovenseCommandType>> typeSupportMap;

	UPROPERTY(EditDefaultsOnly)
	UDataTable* LovenseSupportDataTable;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	
};
